## mrtg-ping-probe 2.2.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 ##################################################################
-# @(#) $Id: Makefile,v 2.3 2002/07/14 19:26:17 pwo Exp $
-# @(#) mrtg-ping-probe release $Name: Release_2_1_0 $
+# @(#) $Id: Makefile,v 2.4 2003/09/13 18:04:29 pwo Exp $
+# @(#) mrtg-ping-probe release $Name: Release_2_2_0 $
 #
-# Copyright (c) 1997-2002 Peter W. Osel <pwo@pwo.de>.
+# Copyright (c) 1997-2003 Peter W. Osel <pwo@pwo.de>.
 # All Rights Reserved.
 #
 # See the file COPYRIGHT in the distribution for the exact terms.
