=== debian/changelog ===
mrtg-ping-probe (2.2.0-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Use wrap-and-sort -at for debian control files.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dh arguments: --parallel

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 20 Nov 2024 23:52:08 +0100

mrtg-ping-probe (2.2.0-4) unstable; urgency=medium

  * QA upload.
  * debian/control:
    - Add Rules-Requires-Root field.
    - Bump Standards-Version to "4.7.0".

 -- Luis Augusto Santos Silva <guto1809@gmail.com>  Fri, 14 Jun 2024 13:42:01 -0300

mrtg-ping-probe (2.2.0-3) unstable; urgency=medium

  * QA upload.
  * d/copyright: Convert to machine-readable format.
  * Convert to 3.0 (quilt) format (Closes: #1007309).

 -- Bastian Germann <bage@debian.org>  Mon, 29 Aug 2022 17:09:27 +0200

mrtg-ping-probe (2.2.0-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:01:01 +0200

mrtg-ping-probe (2.2.0-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * dh 9.  Closes: #817589.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 01 Aug 2016 11:21:39 +0200

mrtg-ping-probe (2.2.0-1) unstable; urgency=low

  * New upstream release
  * Raised Perl version requirement to 5.6.1 minimum
  * Bugfix so ping process reliably killed
  * Typo fixes in comments and messages
  * Changed standards version to 3.8.0

 -- Jonathan Oxer <jon@debian.org>  Wed, 17 Dec 2008 09:26:18 +1100

mrtg-ping-probe (2.1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Remove netkit-ping dependency, and replace with a
    dependency on the ping virtual package.  Closes: #383983.

 -- Roger Leigh <rleigh@debian.org>  Sun, 27 Aug 2006 23:52:43 +0100

mrtg-ping-probe (2.1.0-1) unstable; urgency=low

  * Initial release as a Debian package. Very clean: the only
    change needed was to alter the path to the Perl interpreter.
    Closes: #188516

 -- Jonathan Oxer <jon@debian.org>  Mon, 14 Apr 2003 11:09:45 +1000
