=== debian/control ===
Source: mrtg-ping-probe
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/mrtg-ping-probe
Vcs-Git: https://salsa.debian.org/debian/mrtg-ping-probe.git

Package: mrtg-ping-probe
Architecture: all
Depends: iputils-ping | ping,
         mrtg (>= 2),
         perl,
         ${misc:Depends},
Description: Ping module for Multi Router Traffic Grapher
 mrtg-ping-probe is a ping probe for MRTG 2.x.  It is used to monitor
 the round trip time and packet loss to networked devices.  MRTG uses
 its output to generate graphs visualizing minimum and maximum round
 trip times or packet loss.
